> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/by-pillar/order-management/gdpr-configuration/gdpr-configuration-endpoints.md).

# GDPR configuration endpoints

## The GdprConfiguration object

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"components":{"schemas":{"GdprConfiguration":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"actorAnonymization":{"default":true,"description":"If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect","type":"boolean"},"deletionTimeAfterRetention":{"description":"Number of days since anonymization until deletion is triggered","minimum":1,"type":"number"},"id":{"type":"string"},"retentionTime":{"description":"Number of days after that anonymization is triggered.","minimum":1,"type":"number"},"version":{"format":"int64","type":"integer"}},"required":["retentionTime","version"],"type":"object","title":"GdprConfiguration","description":"GdprConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"}}}}
```

## GET /api/configurations/gdpr

> Get GDPR config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GdprConfiguration":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"actorAnonymization":{"default":true,"description":"If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect","type":"boolean"},"deletionTimeAfterRetention":{"description":"Number of days since anonymization until deletion is triggered","minimum":1,"type":"number"},"id":{"type":"string"},"retentionTime":{"description":"Number of days after that anonymization is triggered.","minimum":1,"type":"number"},"version":{"format":"int64","type":"integer"}},"required":["retentionTime","version"],"type":"object","title":"GdprConfiguration","description":"GdprConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/gdpr":{"get":{"description":"","operationId":"getGdprConfiguration","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdprConfiguration"}}},"description":"Gdpr configuration was found & you were allowed to access it. The result is in the body."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Gdpr configuration not found"}},"summary":"Get GDPR config","tags":["Configurations (Core)"]}}}}
```

## PUT /api/configurations/gdpr

> Update GDPR config

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to update and read general configuration of fulfillmenttools.","name":"Configurations (Core)"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"GdprConfiguration":{"additionalProperties":false,"allOf":[{"$ref":"#/components/schemas/VersionedResource"}],"properties":{"actorAnonymization":{"default":true,"description":"If true, the actor information will be stored anonymized for auditing. Might take up to 1 hour to be take into effect","type":"boolean"},"deletionTimeAfterRetention":{"description":"Number of days since anonymization until deletion is triggered","minimum":1,"type":"number"},"id":{"type":"string"},"retentionTime":{"description":"Number of days after that anonymization is triggered.","minimum":1,"type":"number"},"version":{"format":"int64","type":"integer"}},"required":["retentionTime","version"],"type":"object","title":"GdprConfiguration","description":"GdprConfiguration"},"VersionedResource":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["version"],"type":"object","title":"VersionedResource","description":"VersionedResource"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/configurations/gdpr":{"put":{"description":"","operationId":"putGdprConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdprConfiguration"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GdprConfiguration"}}},"description":"Gdpr configuration was written successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"},"404":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Gdpr configuration not found"}},"summary":"Update GDPR config","tags":["Configurations (Core)"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fulfillmenttools.com/documentation/by-pillar/order-management/gdpr-configuration/gdpr-configuration-endpoints.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
